INKVIEW(1)

NAME
Inkview - an SVG viewer and slideshow program.

SYNOPSIS
"inkview [options] [filename ...]"

options:

    -h, --help
    -V, --version

    -f, --fullscreen
    -r, --recursive
    -t, --timer=NUMBER
    -s, --scale=NUMBER
    -p, --preload

DESCRIPTION
Inkview is an Scalable Vector Graphics (SVG) viewer that can also be used for slideshows or presentations. One or more FILES or FOLDERS can be specified on the command-line for opening. Inkview will display all SVG files in the given order. Folders will be expanded to a list of contained SVG files.

You can also launch Inkview without any command-line arguments, which will bring up a file chooser that allows to select files and folders via a graphical user interface.

OPTIONS

-?, --help
    Show help options

-V, --version
    Print Inkview version and build date (this is usually matches the Inkscape version).

-f, --fullscreen
    Launch Inkview in fullscreen mode.

-r, --recursive
    Search folders specified on the command line recursively for SVG files. This means all SVG files in all subfolders of the specified folder will be opened.

-t, --timer=NUMBER
    Change to the next image every NUMBER seconds

-s, --scale=NUMBER
    Show image scaled by a factor of NUMBER instead of using the file's native size.

-p, --preload
    Preloads all SVG files. Inkview still needs to render images upon showing, however this option ensures all SVG files are already parsed and loaded into memory. This option can also be used to verify if all files can be opened properly, without having to cycle through all files manually.

KEYBINDINGS

•   Left, Page Up, or Backspace: show previous image

•   Right, Page Down, or Space: show next image

•   Up, or Home: go to first image

•   Down, or End: go to last image

•   Return: show control window

•   F11: toggle fullscreen mode

•   Escape or Q: quit

EXAMPLES
Open two SVG files for viewing:

    inkview file1.svg file2.svg

Open all SVG files in the examples folder shipped with Inkscape:

    inkview B</opt/local/share>/inkscape/examples

Launch a fullscreen slideshow that automatically changes to the next image every 5 seconds:

    inkview --fullscreen --timer=5 [files/folders ...]

SEE ALSO
inkscape

<http://www.inkscape.org/>

AUTHORS
See inkscape(1)

COPYRIGHT AND LICENSE
Copyright (C) 1999-2023 by Authors.

Inkscape is free software; you can redistribute it and/or modify it under the terms of the GPL version 3 or later.